Show / Hide Table of Contents

Class CfnRule.HttpParametersProperty

These are custom parameter to be used when the target is an API Gateway APIs or EventBridge ApiDestinations.

Inheritance
object
CfnRule.HttpParametersProperty
Implements
CfnRule.IHttpParametersProperty
Inherited Members
object.GetType()
object.MemberwiseClone()
object.ToString()
object.Equals(object)
object.Equals(object, object)
object.ReferenceEquals(object, object)
object.GetHashCode()
Namespace: Amazon.CDK.AWS.Events
Assembly: Amazon.CDK.Lib.dll
Syntax (csharp)
public class CfnRule.HttpParametersProperty : CfnRule.IHttpParametersProperty
Syntax (vb)
Public Class CfnRule.HttpParametersProperty Implements CfnRule.IHttpParametersProperty
Remarks

In the latter case, these are merged with any InvocationParameters specified on the Connection, with any values from the Connection taking precedence.

See: http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-events-rule-httpparameters.html

ExampleMetadata: fixture=_generated

Examples
// The code below shows an example of how to instantiate this type.
             // The values are placeholders you should change.
             using Amazon.CDK.AWS.Events;

             var httpParametersProperty = new HttpParametersProperty {
                 HeaderParameters = new Dictionary<string, string> {
                     { "headerParametersKey", "headerParameters" }
                 },
                 PathParameterValues = new [] { "pathParameterValues" },
                 QueryStringParameters = new Dictionary<string, string> {
                     { "queryStringParametersKey", "queryStringParameters" }
                 }
             };

Synopsis

Constructors

HttpParametersProperty()

These are custom parameter to be used when the target is an API Gateway APIs or EventBridge ApiDestinations.

Properties

HeaderParameters

The headers that need to be sent as part of request invoking the API Gateway API or EventBridge ApiDestination.

PathParameterValues

The path parameter values to be used to populate API Gateway API or EventBridge ApiDestination path wildcards ("*").

QueryStringParameters

The query string keys/values that need to be sent as part of request invoking the API Gateway API or EventBridge ApiDestination.

Constructors

HttpParametersProperty()

These are custom parameter to be used when the target is an API Gateway APIs or EventBridge ApiDestinations.

public HttpParametersProperty()
Remarks

In the latter case, these are merged with any InvocationParameters specified on the Connection, with any values from the Connection taking precedence.

See: http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-events-rule-httpparameters.html

ExampleMetadata: fixture=_generated

Examples
// The code below shows an example of how to instantiate this type.
             // The values are placeholders you should change.
             using Amazon.CDK.AWS.Events;

             var httpParametersProperty = new HttpParametersProperty {
                 HeaderParameters = new Dictionary<string, string> {
                     { "headerParametersKey", "headerParameters" }
                 },
                 PathParameterValues = new [] { "pathParameterValues" },
                 QueryStringParameters = new Dictionary<string, string> {
                     { "queryStringParametersKey", "queryStringParameters" }
                 }
             };

Properties

HeaderParameters

The headers that need to be sent as part of request invoking the API Gateway API or EventBridge ApiDestination.

public object? HeaderParameters { get; set; }
Property Value

object

Remarks

See: http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-events-rule-httpparameters.html#cfn-events-rule-httpparameters-headerparameters

Type union: either Dictionary<string, string> or IResolvable

PathParameterValues

The path parameter values to be used to populate API Gateway API or EventBridge ApiDestination path wildcards ("*").

public string[]? PathParameterValues { get; set; }
Property Value

string[]

Remarks

See: http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-events-rule-httpparameters.html#cfn-events-rule-httpparameters-pathparametervalues

QueryStringParameters

The query string keys/values that need to be sent as part of request invoking the API Gateway API or EventBridge ApiDestination.

public object? QueryStringParameters { get; set; }
Property Value

object

Remarks

See: http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-events-rule-httpparameters.html#cfn-events-rule-httpparameters-querystringparameters

Type union: either Dictionary<string, string> or IResolvable

Implements

CfnRule.IHttpParametersProperty
Back to top Generated by DocFX